Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
47.0.0.0
Broadcast address
47.255.255.255
First usable
47.0.0.1
Last usable
47.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 2F000000 · Integer 788529152 to 805306367
Reverse DNS zone
47.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111..00000000.00000000.0000000047.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00101111..00000000.00000000.0000000047.0.0.0
Broadcast00101111..11111111.11111111.1111111147.255.255.255
Split into smaller subnets/18

47.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.0.0.0/1847.0.0.1 to 47.0.63.25447.0.63.25516,382
247.0.64.0/1847.0.64.1 to 47.0.127.25447.0.127.25516,382
347.0.128.0/1847.0.128.1 to 47.0.191.25447.0.191.25516,382
447.0.192.0/1847.0.192.1 to 47.0.255.25447.0.255.25516,382
547.1.0.0/1847.1.0.1 to 47.1.63.25447.1.63.25516,382
647.1.64.0/1847.1.64.1 to 47.1.127.25447.1.127.25516,382
747.1.128.0/1847.1.128.1 to 47.1.191.25447.1.191.25516,382
847.1.192.0/1847.1.192.1 to 47.1.255.25447.1.255.25516,382
947.2.0.0/1847.2.0.1 to 47.2.63.25447.2.63.25516,382
1047.2.64.0/1847.2.64.1 to 47.2.127.25447.2.127.25516,382
1147.2.128.0/1847.2.128.1 to 47.2.191.25447.2.191.25516,382
1247.2.192.0/1847.2.192.1 to 47.2.255.25447.2.255.25516,382
1347.3.0.0/1847.3.0.1 to 47.3.63.25447.3.63.25516,382
1447.3.64.0/1847.3.64.1 to 47.3.127.25447.3.127.25516,382
1547.3.128.0/1847.3.128.1 to 47.3.191.25447.3.191.25516,382
1647.3.192.0/1847.3.192.1 to 47.3.255.25447.3.255.25516,382
1747.4.0.0/1847.4.0.1 to 47.4.63.25447.4.63.25516,382
1847.4.64.0/1847.4.64.1 to 47.4.127.25447.4.127.25516,382
1947.4.128.0/1847.4.128.1 to 47.4.191.25447.4.191.25516,382
2047.4.192.0/1847.4.192.1 to 47.4.255.25447.4.255.25516,382
2147.5.0.0/1847.5.0.1 to 47.5.63.25447.5.63.25516,382
2247.5.64.0/1847.5.64.1 to 47.5.127.25447.5.127.25516,382
2347.5.128.0/1847.5.128.1 to 47.5.191.25447.5.191.25516,382
2447.5.192.0/1847.5.192.1 to 47.5.255.25447.5.255.25516,382
2547.6.0.0/1847.6.0.1 to 47.6.63.25447.6.63.25516,382
2647.6.64.0/1847.6.64.1 to 47.6.127.25447.6.127.25516,382
2747.6.128.0/1847.6.128.1 to 47.6.191.25447.6.191.25516,382
2847.6.192.0/1847.6.192.1 to 47.6.255.25447.6.255.25516,382
2947.7.0.0/1847.7.0.1 to 47.7.63.25447.7.63.25516,382
3047.7.64.0/1847.7.64.1 to 47.7.127.25447.7.127.25516,382
3147.7.128.0/1847.7.128.1 to 47.7.191.25447.7.191.25516,382
3247.7.192.0/1847.7.192.1 to 47.7.255.25447.7.255.25516,382
3347.8.0.0/1847.8.0.1 to 47.8.63.25447.8.63.25516,382
3447.8.64.0/1847.8.64.1 to 47.8.127.25447.8.127.25516,382
3547.8.128.0/1847.8.128.1 to 47.8.191.25447.8.191.25516,382
3647.8.192.0/1847.8.192.1 to 47.8.255.25447.8.255.25516,382
3747.9.0.0/1847.9.0.1 to 47.9.63.25447.9.63.25516,382
3847.9.64.0/1847.9.64.1 to 47.9.127.25447.9.127.25516,382
3947.9.128.0/1847.9.128.1 to 47.9.191.25447.9.191.25516,382
4047.9.192.0/1847.9.192.1 to 47.9.255.25447.9.255.25516,382
4147.10.0.0/1847.10.0.1 to 47.10.63.25447.10.63.25516,382
4247.10.64.0/1847.10.64.1 to 47.10.127.25447.10.127.25516,382
4347.10.128.0/1847.10.128.1 to 47.10.191.25447.10.191.25516,382
4447.10.192.0/1847.10.192.1 to 47.10.255.25447.10.255.25516,382
4547.11.0.0/1847.11.0.1 to 47.11.63.25447.11.63.25516,382
4647.11.64.0/1847.11.64.1 to 47.11.127.25447.11.127.25516,382
4747.11.128.0/1847.11.128.1 to 47.11.191.25447.11.191.25516,382
4847.11.192.0/1847.11.192.1 to 47.11.255.25447.11.255.25516,382
4947.12.0.0/1847.12.0.1 to 47.12.63.25447.12.63.25516,382
5047.12.64.0/1847.12.64.1 to 47.12.127.25447.12.127.25516,382
5147.12.128.0/1847.12.128.1 to 47.12.191.25447.12.191.25516,382
5247.12.192.0/1847.12.192.1 to 47.12.255.25447.12.255.25516,382
5347.13.0.0/1847.13.0.1 to 47.13.63.25447.13.63.25516,382
5447.13.64.0/1847.13.64.1 to 47.13.127.25447.13.127.25516,382
5547.13.128.0/1847.13.128.1 to 47.13.191.25447.13.191.25516,382
5647.13.192.0/1847.13.192.1 to 47.13.255.25447.13.255.25516,382
5747.14.0.0/1847.14.0.1 to 47.14.63.25447.14.63.25516,382
5847.14.64.0/1847.14.64.1 to 47.14.127.25447.14.127.25516,382
5947.14.128.0/1847.14.128.1 to 47.14.191.25447.14.191.25516,382
6047.14.192.0/1847.14.192.1 to 47.14.255.25447.14.255.25516,382
6147.15.0.0/1847.15.0.1 to 47.15.63.25447.15.63.25516,382
6247.15.64.0/1847.15.64.1 to 47.15.127.25447.15.127.25516,382
6347.15.128.0/1847.15.128.1 to 47.15.191.25447.15.191.25516,382
6447.15.192.0/1847.15.192.1 to 47.15.255.25447.15.255.25516,382
6547.16.0.0/1847.16.0.1 to 47.16.63.25447.16.63.25516,382
6647.16.64.0/1847.16.64.1 to 47.16.127.25447.16.127.25516,382
6747.16.128.0/1847.16.128.1 to 47.16.191.25447.16.191.25516,382
6847.16.192.0/1847.16.192.1 to 47.16.255.25447.16.255.25516,382
6947.17.0.0/1847.17.0.1 to 47.17.63.25447.17.63.25516,382
7047.17.64.0/1847.17.64.1 to 47.17.127.25447.17.127.25516,382
7147.17.128.0/1847.17.128.1 to 47.17.191.25447.17.191.25516,382
7247.17.192.0/1847.17.192.1 to 47.17.255.25447.17.255.25516,382
7347.18.0.0/1847.18.0.1 to 47.18.63.25447.18.63.25516,382
7447.18.64.0/1847.18.64.1 to 47.18.127.25447.18.127.25516,382
7547.18.128.0/1847.18.128.1 to 47.18.191.25447.18.191.25516,382
7647.18.192.0/1847.18.192.1 to 47.18.255.25447.18.255.25516,382
7747.19.0.0/1847.19.0.1 to 47.19.63.25447.19.63.25516,382
7847.19.64.0/1847.19.64.1 to 47.19.127.25447.19.127.25516,382
7947.19.128.0/1847.19.128.1 to 47.19.191.25447.19.191.25516,382
8047.19.192.0/1847.19.192.1 to 47.19.255.25447.19.255.25516,382
8147.20.0.0/1847.20.0.1 to 47.20.63.25447.20.63.25516,382
8247.20.64.0/1847.20.64.1 to 47.20.127.25447.20.127.25516,382
8347.20.128.0/1847.20.128.1 to 47.20.191.25447.20.191.25516,382
8447.20.192.0/1847.20.192.1 to 47.20.255.25447.20.255.25516,382
8547.21.0.0/1847.21.0.1 to 47.21.63.25447.21.63.25516,382
8647.21.64.0/1847.21.64.1 to 47.21.127.25447.21.127.25516,382
8747.21.128.0/1847.21.128.1 to 47.21.191.25447.21.191.25516,382
8847.21.192.0/1847.21.192.1 to 47.21.255.25447.21.255.25516,382
8947.22.0.0/1847.22.0.1 to 47.22.63.25447.22.63.25516,382
9047.22.64.0/1847.22.64.1 to 47.22.127.25447.22.127.25516,382
9147.22.128.0/1847.22.128.1 to 47.22.191.25447.22.191.25516,382
9247.22.192.0/1847.22.192.1 to 47.22.255.25447.22.255.25516,382
9347.23.0.0/1847.23.0.1 to 47.23.63.25447.23.63.25516,382
9447.23.64.0/1847.23.64.1 to 47.23.127.25447.23.127.25516,382
9547.23.128.0/1847.23.128.1 to 47.23.191.25447.23.191.25516,382
9647.23.192.0/1847.23.192.1 to 47.23.255.25447.23.255.25516,382
9747.24.0.0/1847.24.0.1 to 47.24.63.25447.24.63.25516,382
9847.24.64.0/1847.24.64.1 to 47.24.127.25447.24.127.25516,382
9947.24.128.0/1847.24.128.1 to 47.24.191.25447.24.191.25516,382
10047.24.192.0/1847.24.192.1 to 47.24.255.25447.24.255.25516,382
10147.25.0.0/1847.25.0.1 to 47.25.63.25447.25.63.25516,382
10247.25.64.0/1847.25.64.1 to 47.25.127.25447.25.127.25516,382
10347.25.128.0/1847.25.128.1 to 47.25.191.25447.25.191.25516,382
10447.25.192.0/1847.25.192.1 to 47.25.255.25447.25.255.25516,382
10547.26.0.0/1847.26.0.1 to 47.26.63.25447.26.63.25516,382
10647.26.64.0/1847.26.64.1 to 47.26.127.25447.26.127.25516,382
10747.26.128.0/1847.26.128.1 to 47.26.191.25447.26.191.25516,382
10847.26.192.0/1847.26.192.1 to 47.26.255.25447.26.255.25516,382
10947.27.0.0/1847.27.0.1 to 47.27.63.25447.27.63.25516,382
11047.27.64.0/1847.27.64.1 to 47.27.127.25447.27.127.25516,382
11147.27.128.0/1847.27.128.1 to 47.27.191.25447.27.191.25516,382
11247.27.192.0/1847.27.192.1 to 47.27.255.25447.27.255.25516,382
11347.28.0.0/1847.28.0.1 to 47.28.63.25447.28.63.25516,382
11447.28.64.0/1847.28.64.1 to 47.28.127.25447.28.127.25516,382
11547.28.128.0/1847.28.128.1 to 47.28.191.25447.28.191.25516,382
11647.28.192.0/1847.28.192.1 to 47.28.255.25447.28.255.25516,382
11747.29.0.0/1847.29.0.1 to 47.29.63.25447.29.63.25516,382
11847.29.64.0/1847.29.64.1 to 47.29.127.25447.29.127.25516,382
11947.29.128.0/1847.29.128.1 to 47.29.191.25447.29.191.25516,382
12047.29.192.0/1847.29.192.1 to 47.29.255.25447.29.255.25516,382
12147.30.0.0/1847.30.0.1 to 47.30.63.25447.30.63.25516,382
12247.30.64.0/1847.30.64.1 to 47.30.127.25447.30.127.25516,382
12347.30.128.0/1847.30.128.1 to 47.30.191.25447.30.191.25516,382
12447.30.192.0/1847.30.192.1 to 47.30.255.25447.30.255.25516,382
12547.31.0.0/1847.31.0.1 to 47.31.63.25447.31.63.25516,382
12647.31.64.0/1847.31.64.1 to 47.31.127.25447.31.127.25516,382
12747.31.128.0/1847.31.128.1 to 47.31.191.25447.31.191.25516,382
12847.31.192.0/1847.31.192.1 to 47.31.255.25447.31.255.25516,382
12947.32.0.0/1847.32.0.1 to 47.32.63.25447.32.63.25516,382
13047.32.64.0/1847.32.64.1 to 47.32.127.25447.32.127.25516,382
13147.32.128.0/1847.32.128.1 to 47.32.191.25447.32.191.25516,382
13247.32.192.0/1847.32.192.1 to 47.32.255.25447.32.255.25516,382
13347.33.0.0/1847.33.0.1 to 47.33.63.25447.33.63.25516,382
13447.33.64.0/1847.33.64.1 to 47.33.127.25447.33.127.25516,382
13547.33.128.0/1847.33.128.1 to 47.33.191.25447.33.191.25516,382
13647.33.192.0/1847.33.192.1 to 47.33.255.25447.33.255.25516,382
13747.34.0.0/1847.34.0.1 to 47.34.63.25447.34.63.25516,382
13847.34.64.0/1847.34.64.1 to 47.34.127.25447.34.127.25516,382
13947.34.128.0/1847.34.128.1 to 47.34.191.25447.34.191.25516,382
14047.34.192.0/1847.34.192.1 to 47.34.255.25447.34.255.25516,382
14147.35.0.0/1847.35.0.1 to 47.35.63.25447.35.63.25516,382
14247.35.64.0/1847.35.64.1 to 47.35.127.25447.35.127.25516,382
14347.35.128.0/1847.35.128.1 to 47.35.191.25447.35.191.25516,382
14447.35.192.0/1847.35.192.1 to 47.35.255.25447.35.255.25516,382
14547.36.0.0/1847.36.0.1 to 47.36.63.25447.36.63.25516,382
14647.36.64.0/1847.36.64.1 to 47.36.127.25447.36.127.25516,382
14747.36.128.0/1847.36.128.1 to 47.36.191.25447.36.191.25516,382
14847.36.192.0/1847.36.192.1 to 47.36.255.25447.36.255.25516,382
14947.37.0.0/1847.37.0.1 to 47.37.63.25447.37.63.25516,382
15047.37.64.0/1847.37.64.1 to 47.37.127.25447.37.127.25516,382
15147.37.128.0/1847.37.128.1 to 47.37.191.25447.37.191.25516,382
15247.37.192.0/1847.37.192.1 to 47.37.255.25447.37.255.25516,382
15347.38.0.0/1847.38.0.1 to 47.38.63.25447.38.63.25516,382
15447.38.64.0/1847.38.64.1 to 47.38.127.25447.38.127.25516,382
15547.38.128.0/1847.38.128.1 to 47.38.191.25447.38.191.25516,382
15647.38.192.0/1847.38.192.1 to 47.38.255.25447.38.255.25516,382
15747.39.0.0/1847.39.0.1 to 47.39.63.25447.39.63.25516,382
15847.39.64.0/1847.39.64.1 to 47.39.127.25447.39.127.25516,382
15947.39.128.0/1847.39.128.1 to 47.39.191.25447.39.191.25516,382
16047.39.192.0/1847.39.192.1 to 47.39.255.25447.39.255.25516,382
16147.40.0.0/1847.40.0.1 to 47.40.63.25447.40.63.25516,382
16247.40.64.0/1847.40.64.1 to 47.40.127.25447.40.127.25516,382
16347.40.128.0/1847.40.128.1 to 47.40.191.25447.40.191.25516,382
16447.40.192.0/1847.40.192.1 to 47.40.255.25447.40.255.25516,382
16547.41.0.0/1847.41.0.1 to 47.41.63.25447.41.63.25516,382
16647.41.64.0/1847.41.64.1 to 47.41.127.25447.41.127.25516,382
16747.41.128.0/1847.41.128.1 to 47.41.191.25447.41.191.25516,382
16847.41.192.0/1847.41.192.1 to 47.41.255.25447.41.255.25516,382
16947.42.0.0/1847.42.0.1 to 47.42.63.25447.42.63.25516,382
17047.42.64.0/1847.42.64.1 to 47.42.127.25447.42.127.25516,382
17147.42.128.0/1847.42.128.1 to 47.42.191.25447.42.191.25516,382
17247.42.192.0/1847.42.192.1 to 47.42.255.25447.42.255.25516,382
17347.43.0.0/1847.43.0.1 to 47.43.63.25447.43.63.25516,382
17447.43.64.0/1847.43.64.1 to 47.43.127.25447.43.127.25516,382
17547.43.128.0/1847.43.128.1 to 47.43.191.25447.43.191.25516,382
17647.43.192.0/1847.43.192.1 to 47.43.255.25447.43.255.25516,382
17747.44.0.0/1847.44.0.1 to 47.44.63.25447.44.63.25516,382
17847.44.64.0/1847.44.64.1 to 47.44.127.25447.44.127.25516,382
17947.44.128.0/1847.44.128.1 to 47.44.191.25447.44.191.25516,382
18047.44.192.0/1847.44.192.1 to 47.44.255.25447.44.255.25516,382
18147.45.0.0/1847.45.0.1 to 47.45.63.25447.45.63.25516,382
18247.45.64.0/1847.45.64.1 to 47.45.127.25447.45.127.25516,382
18347.45.128.0/1847.45.128.1 to 47.45.191.25447.45.191.25516,382
18447.45.192.0/1847.45.192.1 to 47.45.255.25447.45.255.25516,382
18547.46.0.0/1847.46.0.1 to 47.46.63.25447.46.63.25516,382
18647.46.64.0/1847.46.64.1 to 47.46.127.25447.46.127.25516,382
18747.46.128.0/1847.46.128.1 to 47.46.191.25447.46.191.25516,382
18847.46.192.0/1847.46.192.1 to 47.46.255.25447.46.255.25516,382
18947.47.0.0/1847.47.0.1 to 47.47.63.25447.47.63.25516,382
19047.47.64.0/1847.47.64.1 to 47.47.127.25447.47.127.25516,382
19147.47.128.0/1847.47.128.1 to 47.47.191.25447.47.191.25516,382
19247.47.192.0/1847.47.192.1 to 47.47.255.25447.47.255.25516,382
19347.48.0.0/1847.48.0.1 to 47.48.63.25447.48.63.25516,382
19447.48.64.0/1847.48.64.1 to 47.48.127.25447.48.127.25516,382
19547.48.128.0/1847.48.128.1 to 47.48.191.25447.48.191.25516,382
19647.48.192.0/1847.48.192.1 to 47.48.255.25447.48.255.25516,382
19747.49.0.0/1847.49.0.1 to 47.49.63.25447.49.63.25516,382
19847.49.64.0/1847.49.64.1 to 47.49.127.25447.49.127.25516,382
19947.49.128.0/1847.49.128.1 to 47.49.191.25447.49.191.25516,382
20047.49.192.0/1847.49.192.1 to 47.49.255.25447.49.255.25516,382
20147.50.0.0/1847.50.0.1 to 47.50.63.25447.50.63.25516,382
20247.50.64.0/1847.50.64.1 to 47.50.127.25447.50.127.25516,382
20347.50.128.0/1847.50.128.1 to 47.50.191.25447.50.191.25516,382
20447.50.192.0/1847.50.192.1 to 47.50.255.25447.50.255.25516,382
20547.51.0.0/1847.51.0.1 to 47.51.63.25447.51.63.25516,382
20647.51.64.0/1847.51.64.1 to 47.51.127.25447.51.127.25516,382
20747.51.128.0/1847.51.128.1 to 47.51.191.25447.51.191.25516,382
20847.51.192.0/1847.51.192.1 to 47.51.255.25447.51.255.25516,382
20947.52.0.0/1847.52.0.1 to 47.52.63.25447.52.63.25516,382
21047.52.64.0/1847.52.64.1 to 47.52.127.25447.52.127.25516,382
21147.52.128.0/1847.52.128.1 to 47.52.191.25447.52.191.25516,382
21247.52.192.0/1847.52.192.1 to 47.52.255.25447.52.255.25516,382
21347.53.0.0/1847.53.0.1 to 47.53.63.25447.53.63.25516,382
21447.53.64.0/1847.53.64.1 to 47.53.127.25447.53.127.25516,382
21547.53.128.0/1847.53.128.1 to 47.53.191.25447.53.191.25516,382
21647.53.192.0/1847.53.192.1 to 47.53.255.25447.53.255.25516,382
21747.54.0.0/1847.54.0.1 to 47.54.63.25447.54.63.25516,382
21847.54.64.0/1847.54.64.1 to 47.54.127.25447.54.127.25516,382
21947.54.128.0/1847.54.128.1 to 47.54.191.25447.54.191.25516,382
22047.54.192.0/1847.54.192.1 to 47.54.255.25447.54.255.25516,382
22147.55.0.0/1847.55.0.1 to 47.55.63.25447.55.63.25516,382
22247.55.64.0/1847.55.64.1 to 47.55.127.25447.55.127.25516,382
22347.55.128.0/1847.55.128.1 to 47.55.191.25447.55.191.25516,382
22447.55.192.0/1847.55.192.1 to 47.55.255.25447.55.255.25516,382
22547.56.0.0/1847.56.0.1 to 47.56.63.25447.56.63.25516,382
22647.56.64.0/1847.56.64.1 to 47.56.127.25447.56.127.25516,382
22747.56.128.0/1847.56.128.1 to 47.56.191.25447.56.191.25516,382
22847.56.192.0/1847.56.192.1 to 47.56.255.25447.56.255.25516,382
22947.57.0.0/1847.57.0.1 to 47.57.63.25447.57.63.25516,382
23047.57.64.0/1847.57.64.1 to 47.57.127.25447.57.127.25516,382
23147.57.128.0/1847.57.128.1 to 47.57.191.25447.57.191.25516,382
23247.57.192.0/1847.57.192.1 to 47.57.255.25447.57.255.25516,382
23347.58.0.0/1847.58.0.1 to 47.58.63.25447.58.63.25516,382
23447.58.64.0/1847.58.64.1 to 47.58.127.25447.58.127.25516,382
23547.58.128.0/1847.58.128.1 to 47.58.191.25447.58.191.25516,382
23647.58.192.0/1847.58.192.1 to 47.58.255.25447.58.255.25516,382
23747.59.0.0/1847.59.0.1 to 47.59.63.25447.59.63.25516,382
23847.59.64.0/1847.59.64.1 to 47.59.127.25447.59.127.25516,382
23947.59.128.0/1847.59.128.1 to 47.59.191.25447.59.191.25516,382
24047.59.192.0/1847.59.192.1 to 47.59.255.25447.59.255.25516,382
24147.60.0.0/1847.60.0.1 to 47.60.63.25447.60.63.25516,382
24247.60.64.0/1847.60.64.1 to 47.60.127.25447.60.127.25516,382
24347.60.128.0/1847.60.128.1 to 47.60.191.25447.60.191.25516,382
24447.60.192.0/1847.60.192.1 to 47.60.255.25447.60.255.25516,382
24547.61.0.0/1847.61.0.1 to 47.61.63.25447.61.63.25516,382
24647.61.64.0/1847.61.64.1 to 47.61.127.25447.61.127.25516,382
24747.61.128.0/1847.61.128.1 to 47.61.191.25447.61.191.25516,382
24847.61.192.0/1847.61.192.1 to 47.61.255.25447.61.255.25516,382
24947.62.0.0/1847.62.0.1 to 47.62.63.25447.62.63.25516,382
25047.62.64.0/1847.62.64.1 to 47.62.127.25447.62.127.25516,382
25147.62.128.0/1847.62.128.1 to 47.62.191.25447.62.191.25516,382
25247.62.192.0/1847.62.192.1 to 47.62.255.25447.62.255.25516,382
25347.63.0.0/1847.63.0.1 to 47.63.63.25447.63.63.25516,382
25447.63.64.0/1847.63.64.1 to 47.63.127.25447.63.127.25516,382
25547.63.128.0/1847.63.128.1 to 47.63.191.25447.63.191.25516,382
25647.63.192.0/1847.63.192.1 to 47.63.255.25447.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses